6 Replies Latest reply: Nov 6, 2010 3:28 PM by Diane Wordsmith
Fried_Chicken Level 1 Level 1 (0 points)
a few months ago, my friend gave me his old iTouch, now i'm considering buying the kindle app which requires iOS 3.0 BUT i don't know which iOS my iTouch uses
obviously, there's a simple way to find this out, what is it?

Mac OS X (10.4.11), iTouch